searchData={"items":[{"type":"module","title":"Stringly","doc":"Stringly is a wide variety of string manipulation functions.","ref":"Stringly.html"},{"type":"function","title":"Stringly.limit/3","doc":"Limits the number of strings.\n\nIf the number of strings exceeds the specified limit, this function will truncate the string and appends a truncation string.","ref":"Stringly.html#limit/3"},{"type":"function","title":"Examples - Stringly.limit/3","doc":"iex> Stringly.limit(\"Hello world\")\n    \"Hello world\"\n\n    iex> Stringly.limit(\"Hello world\", 5)\n    \"Hello...\"\n\n    iex> Stringly.limit(\"Hello world\", 5, \">>>\")\n    \"Hello>>>\"","ref":"Stringly.html#limit/3-examples"},{"type":"function","title":"Stringly.remainder_after/1","doc":"","ref":"Stringly.html#remainder_after/1"},{"type":"function","title":"Stringly.remainder_after/2","doc":"Returns everything after the given value in a string.\n\nThe entire string will be returned if the value does not exist within the string.","ref":"Stringly.html#remainder_after/2"},{"type":"function","title":"Examples - Stringly.remainder_after/2","doc":"iex> Stringly.remainder_after(\"Elixir is functional programming language\", \"is functional\")\n    \"programming language\"\n\n    iex> Stringly.remainder_after(\"Elixir is functional programming language\")\n    \"Elixir is functional programming language\"","ref":"Stringly.html#remainder_after/2-examples"},{"type":"function","title":"Stringly.slug/5","doc":"Generates a URL friendly slug from the given string.","ref":"Stringly.html#slug/5"},{"type":"function","title":"Examples - Stringly.slug/5","doc":"iex> Stringly.slug(\"Post #1: Is Elixir A Functional Programming Language?\")\n    \"Post-1-Is-Elixir-A-Functional-Programming-Language\"\n\n    iex> Stringly.slug(\"Post #1: Is Elixir A Functional Programming Language?\", :downcase)\n    \"post-1-is-elixir-a-functional-programming-language\"\n\n    iex> Stringly.slug(\"Post #1: Is Elixir A Functional Programming Language?\", :upcase)\n    \"POST-1-IS-ELIXIR-A-FUNCTIONAL-PROGRAMMING-LANGUAGE\"","ref":"Stringly.html#slug/5-examples"},{"type":"function","title":"Stringly.words/3","doc":"Limits the number of words in a given string.\n\nIf the number of words exceeds the specified limit, the function truncates the words and appends a truncation string.","ref":"Stringly.html#words/3"},{"type":"function","title":"Examples - Stringly.words/3","doc":"iex> Stringly.words(\"Elixir is a functional programming language\")\n    \"Elixir is a functional programming language\"\n\n    iex> Stringly.words(\"Elixir is a functional programming language\", 5)\n    \"Elixir is a functional programming...\"\n\n    iex> Stringly.words(\"Elixir is a functional programming language\", 5, \">>>\")\n    \"Elixir is a functional programming>>>\"","ref":"Stringly.html#words/3-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}